Subject: Re: [PATCH 3/4] perf: Add 'update' parameter to perf_event_read_value()

From: Peter Zijlstra <[email-masked]>
Date: Tue, 17 Mar 2015 07:54:53 +0100

On Wed, Mar 04, 2015 at 12:35:07AM -0800, Sukadev Bhattiprolu wrote:

>  extern u64 perf_event_read_value(struct perf_event *event,
> -				 u64 *enabled, u64 *running);
> +				 u64 *enabled, u64 *running, int update);
>  

I think someone recently showed that bool generates better code in some
cases. The advantage of int is that you can stuff more bits in, but then
you need to call it flags or so anyhow.